# virtual_types< algebra::AlphabetSetBase< S > > Struct Template Reference
[Alphabet]

Specialization of `virtual_types` for `AlphabetSetBase`. More...

Inheritance diagram for virtual_types< algebra::AlphabetSetBase< S > >:
[legend]

## Detailed Description

### template<typename S>
struct vcsn::virtual_types< algebra::AlphabetSetBase< S > >

Specialization of `virtual_types` for `AlphabetSetBase`.

Definition at line 116 of file alphabets_base.hh.